// C Source File
// Created 15/10/2003; 19:53:34

#define USE_TI89              // Compile for TI-89
#define USE_TI92PLUS          // Compile for TI-92 Plus
#define USE_V200
// #define OPTIMIZE_ROM_CALLS // Use ROM Call Optimization

#define MIN_AMS 101           // Compile for AMS 1.00 or higher

#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>

// Main Function
void _main()
{
	clrscr();
	FontSetSys(F_8x10);
	printf("Conversion de base X en base 10:\n\n");
	FontSetSys(F_6x8);
	char nb[20];
	char Sbase[10];
	printf("Entrez le chiffre :\n");
	gets(nb);
	printf("Entrez la base :\n");
	gets(Sbase);
	int base=atoi(Sbase);
	int len=-1;
	int coef;
	long int nbFin=0;
	int puiss=0;
	while(nb[++len]);
	for(--len; len>=0; len--){
		short nbVal=nb[len];
		switch(nbVal){
			case 48 ... 57: coef=48; break;
			case 65 ... 90: coef=55; break;
			case 97 ... 122: coef=87; break;
			default : printf("Erreur de saisie du nombre"); ngetchx(); exit(0);
		}
		nbVal=nbVal-coef;
		if(nbVal>base){
			printf("Un chiffre est plus grand que la base...");
			ngetchx();
			exit(0);
		}
		nbFin+=(long int)nbVal*pow((float)base, (float)puiss);
		puiss++;
	}
	printf("\n%s(%s) = %ld(10)", nb, Sbase, nbFin);
	ngetchx();
}


